﻿# Declare image used by this game
image bg bedroom = "Bedroom.png"
image bg forest = "Forest.png"
image bg stairs = "Stairs.png"
image bg clearing = "Clearing.png"
image bg black = "BlackScreen.png"
image bg author = "Author.png"

image annabeth angry = "AnnabethAngry.png"
image annabeth annoyed = "AnnabethAnnoyed.png"
image annabeth concerned = "AnnabethConcerned.png"
image annabeth happy = "AnnabethHappy.png"
image annabeth happy 2 = "AnnabethHappy2.png"
image annabeth neutral = "AnnabethNeutral.png"
image annabeth sad = "AnnabethSad.png"
image annabeth scared = "AnnabethScared.png"
image annabeth shocked = "AnnabethShocked.png"
image annabeth smiling = "AnnabethSmiling.png"
image annabeth smiling2 = "AnnabethSmiling2.png"

image alfred angry = "AlfredAngry.png"
image alfred annoyed = "AlfredAnnoyed.png"
image alfred betrayal = "AlfredBetrayal.png"
image alfred blush = "AlfredBlush.png"
image alfred blush2 = "AlfredBlush2.png"
image alfred blush3 = "AlfredBlush3.png"
image alfred concerned = "AlfredConcerned.png"
image alfred happy = "AlfredHappy.png"
image alfred neutral = "AlfredNeutral.png"
image alfred sad = "AlfredSad.png"
image alfred shocked = "AlfredShocked.png"
image alfred smiling = "AlfredSmiling.png"

image boris angry = "BorisAngry.png"
image boris annoyed = "BorisAnnoyed.png"
image boris bad = "BorisBad.png"
image boris blush = "BorisBlush.png"
image boris blush2 = "BorisBlush2.png"
image boris blush3 = "BorisBlush3.png"
image boris concerned = "BorisConcerned.png"
image boris crazy = "BorisCrazy.png"
image boris grinning = "BorisGrinning.png"
image boris happy = "BorisHappy.png"
image boris neutral = "BorisNeutral.png"
image boris sad = "BorisSad.png"
image boris shocked = "BorisShocked.png"
image boris smiling = "BorisSmiling.png"

image mary-anne happy = "Mary-AnneHappy.png"
image mary-anne neutral = "Mary-AnneNeutral.png"
image mary-anne sad = "Mary-AnneSad.png"
image mary-anne smiling = "Mary-AnneSmiling.png"
image mary-anne smiling2 = "Mary-AnneSmiling2.png"

# Declare characters used by this game
define an = Character("Annabeth")
define al = Character("Alfred")
define bo = Character("Boris")
define ma = Character("Mary-Anne")
define mo = Character("Monster")
define st = Character("Strange Boy")
define sv = Character("Some Voice")
define sa = Character("Suspicious Alfred")
define sb = Character("Suspicious Boris")
define mu = Character ("Muffle")

init:
    $ alfred_affection_point = 0
    $ boris_affection_point = 0

# The game starts here.
label start:
    
    scene bg black
    
    mu "Hi! This is a quick note from the author before you play the
    game."
    mu "This game contains some dark and horror scenes. It's nothing
     awful like on screen death or anything but it still probably
     deserves a warning."
    mu "In one choice the main character commits murder, another mentions
     cannibalism and in another ending, sexual assault is subtly implied. 
     There's also an extremely unstable character, mentions of
     violent deaths and domestic abuse."
    mu "If any of this bothers you then I'd recommend you do not play
     this game. If it doesn't then go ahead and continue."
    mu "One more thing: {b}EVERY CHOICE MATTERS!{/b}"
    
    play music "Daybreak.ogg"

    scene bg bedroom
    
    "It's evening." 
    "The light of the setting sun filters into my bedroom slightly, 
    as if hugging everything inside it before it leaves for the day."
    "I've already had dinner, it's around the time I would usually work
    on my homework I received from my Science teacher for summer vacation."
    "After that, I'd get ready for bed and wake up to the next day. 
    Greet my mother, and hog myself up in my room and draw for the 
    rest of the day, until I get called down for dinner once again."
    "I spend most of my summer days like this. I don't have many 
    friends. I'm just not very likeable, for more reasons than one."
    "Though today, I have other plans."
    
    show mary-anne smiling at left
    with dissolve
    
    ma "Annabeth, I'm going out tonight and I might be home a little late so 
     can I trust you to take care of yourself?"
    
    "I get up from my bed to see none other than my mother, standing 
    at my doorway."
    
    show annabeth neutral at right
    with dissolve
    
    an "Are you going to go see Lucas again tonight?"
    
    show mary-anne smiling2 at left
    
    ma "You sure know how to look through me Annabeth."
     
    "She laughs at my comment, knowing good and well I had caught
    her and what plans she had tonight."
    "Sometimes I think it scares her, that I know her so well that I
    can almost predict any of her moves, or what she might say."
    
    show mary-anne smiling at left
    
    ma "So I might be gone a little later than usual, can you promise me 
     you'll be alright alone?"
    
    an "Yes Mom."
    
    ma "Remember not to stay up too late, and not to eat just before bed. 
     No sweets, and no parties."
    
    an "I don't even have friends to have a party, I don't know why 
     you even said that."
    
    show mary-anne smiling2 at left
    
    ma "I don't know your entire life!"
    
    "She laughs again, and says this as if I have some secret personal
    life I'm living behind her back."
    "But I know she's joking, she knows full and well that even if I had 
    friends to party with, I wouldn't do so."
    
    show mary-anne smiling at left
    
    "Her expression changes again, and she continues to ask me the
    same question in a different way."
    
    ma "Can you do that?"
    
    "Mom's always been a worry-wart, so I'm used to this."
    "As you can see she's also very expressive, especially compared
    to myself."
    "Her request wasn't hard, especially since what I had planned 
    didn't break any of those rules."
    "And this isn't the first time I've been left alone for a couple
    hours as a seventeen year old girl."
    "I'm mature and responsible, Mom knows this which is why it's
    usually not a problem for her."
    
    an "Yeah Mom."
    
    "I answer short like always. It's always good enough for her
    as long as I acknowledge her."
    
    show mary-anne smiling2 at left
    
    ma "Good! I'll be on my way then. Be good, I'll miss you."
    
    hide mary-anne 
    hide annabeth
    
    "I lay back down on my bed and sigh."
    "That was Mary-Anne, she's my mother."
    "She's currently seeing a guy named Lucas."
    "I haven't met him yet, she wants to make sure he's a really
    good person before getting my hopes up. Especially after my 
    dad just randomly bailed on us when I was six."
    
    show mary-anne sad at left
    with dissolve
    
    ma "Anna..."
    
    "She suddenly came back without me realizing it, and her face
    wears a upsetting look."
    
    show annabeth neutral at right
    
    "I sit back up again to let her know I acknowledged her and looked
    at her questioningly"
    
    ma "Anna, are you sure you're alright with me seeing other men now?"
    
    "Honestly, I wasn't the happiest. It made me uncomfortable, and 
    nervous. I don't want to get attached again, I don't want to be 
    abandoned again."
    "But I can't let that ruin Mom's life. She's lonely, she's ready 
    to move on. She wants someone in her life again. She was always a 
    romantic person."
    "I don't want to be in the way of her happiness."
    "So as always I say..."
    
    an "Yeah, go ahead on your date Mom. I'm fine."    
    ma "..........."
    
    "Mom looks at me for a very long time, as if to determine I was
    lying or not."
    
    show mary-anne smiling2 at left
    
    "Then she smiles again."
    
    ma "You're the best kid I've ever had, you know that?"
    an "I'm your only child, Mom."
    ma "Haha, you're right!"
    
    show mary-anne smiling at left
    
    ma "But still."
    ma "Be safe, alright?"
    an "I love you, Mom."
    
    show mary-anne happy at left
    
    ma "You too~"
    
    hide mary-anne
    hide annabeth
    
    "I wait for the sound of her footsteps to fully disappear, 
    and the front door to close."
    "Then I stand up, off of my bed and take a deep breath."
    "Tonight I'm going to visit Alfred."
    "Alfred is..."
    "The monster under my bed."
    "I named him myself, it was easier instead of just saying 
    'the monster under my bed' all the time."
    "Believe me or not, it doesn't matter."
    "But you're the one that decided to listen to my story."
    "I moved here to the Big Apple when my mom and dad divorced, and 
    was given this room. I was excited at first, there was already 
    furniture left from the previous person that was about my age."
    "My excitement quickly died away when I met Alfred though."
    "There was growling under my bed, and when I laid there quietly 
    trying to sleep I would sometimes hear three knocks under my bed."
    "Breathing that wasn't quite... Human. And every now and then I 
    could feel something trying to grab my feet."
    "Mom didn't believe me, she took me to a therapist who told her I 
    was making things up to get attention due to the abandonment of my
    father."
    "Then... there's Boris. The monster in my closet."
    "He would open the creaky doors and I could see red glowing eyes. 
    He often whispered in the night. I often had nightmares."
    "It got to the point I refused to sleep in my room. So my mom 
    told me something one day."
    
    show mary-anne neutral

    an "Blankets protect you from monsters. It's like a magic forcefield 
    they can't get through. If you have your blanket, there's no way 
    either of them could hurt you."
    
    hide mary-anne
    
    "Even in hot summer I refused to sleep without a blanket, even if 
    I was about to have a heat stroke."
    "But it worked, for the most part. I could sometimes still hear them, 
    but they didn't try and make contact anymore."
    "It was something she had told me to make me feel better, without 
    even knowing it would actually work."
    "When I was eleven... I dropped an apple on the floor, and I saw a 
    hand take it under the bed. A deep voice said..."
    
    mo "Thank you. I was so hungry."
    
    "I never saw that apple again. I kept dropping food, to see if it 
    would happen again. And the hand took it again, and thanked me."
    "Here I am today. I haven't seen the monster in the closet in several 
    weeks, and the monster under the bed has whispered something to me 
    right before I fade into sleep."
    
    mo "Please... come visit me under the bed."
    
    "I've procrastinated for so long, always put it off, but eventually...
    it felt like he was pleading with me, not trying to trick me."
    "So that's what I'm doing tonight."
    "I've never gone under the bed, mostly because I've grown bigger and would 
    have trouble, most likely. And when I was young I was too scared. But 
    I'm going to try while Mom's gone on that date tonight."
    "Maybe I can meet the monster. Get some answers. Why was he there? Why 
    did he torment me? What is his story? What is he exactly?"
    "By the looks of it, maybe he isn't so dangerous. I've made some
    contact with him and I'm more curious than scared now."
    ".....I've procrastinated too long telling you my story."
    ".........."
    "Here I go."
    
    stop music
    scene bg black
    with fade
    
    "......"
    "........"
    ".........."
    "Why is this taking so long?"
    "......"
    "........"
    ".........."
    "Surely my bed couldn't go this far back..."
    "......"
    "........"
    ".........."
    "When I look back there's nothing but empty darkness."
    "......"
    "Maybe this was a mistake."
    "No way to go but forward now, I guess."
    "......"
    "........"
    ".........."
    "Eventually I see a light, and go towards it."
    "And then..."
    
    scene bg forest
    with fade
    play music "AscendingtheVale.ogg"
    
    "Am I in a forest??"
    "Out of everything, this is probably the last thing I expected.
    Did I teleport into another dimension, or is this a whole different 
    world that lives right under my bed?"
    "There's nothing to do but walk forward. The trees loom over me, and 
    behind me is just more forest. The greenery was real enough."
    "I reach my hand out to touch it, and sure enough the leaves I feel 
    on the bush next to me are real."
    "A whole different world that Alfred has lived in this entire time?"
    "Some people would have second thoughts. But I'm intrigued."
    "This world, this place has been under my bed this entire time. Was 
    there more than just this forest? I press on ahead."
    "I walk around for... hours, it seems. It's probably less, but the 
    forest seems to go on forever and it looks like my watch has stopped
    the moment I arrived."
    "Now that I think about it, it's more like I'm going in circles."
    "Or maybe this is all there is in this world? I'm repeating the same 
    place in the forest like one of those repeating halls in a horror game."
    "Just then I hear a rustle near me."
    "I whip my head around."
    
    show alfred annoyed at left
    with dissolve
    
    "It's a boy, that looks about my age. I mistook him for a girl for a second,
    but when I looked at his chest it became obvious."
    "But... how is he here? Was he a boy that got lost before I moved in? But then,
    wouldn't he be much older?"
    
    st "What are you doing here?"
    
    "He sounds annoyed. His voice tells me I shouldn't be here."
    
    show annabeth shocked at right
    with dissolve
    
    an "I was told to come here... what are you doing here?"
    
    "I must look so stupid. I can't help but look surprised to find another human 
    being here. I can tell he's judging me too."
    
    st "Told to come here? By who?"
    an "Well.. by.. Alfred."
    
    "It's not like going to know who I'm talking about."
    "He pauses, but his face is unchanged. He still looks extremely annoyed 
    with my presence."
    
    st "Impossible, I never told you to do such a thing."
    an "Wait... what?"
    
    "This boy can't possibly be telling me he's the monster under my bed."
    
    st "I never told you to come here."
    
    show alfred angry at left
    
    st "So why did you really come here!?!"
    
    "He's angry... I can tell by his tone and expression.."
    
    an "Wait... so you're telling me that you're Alfred?"
    
    "That's all I can say in this situation. I thought he was a human boy 
    that might have come under the bed and been here ever since."
    
    al "Did I not make that clear enough?"
    
    "I hesitate for a moment."
    
    an "It's just... you look like a normal human being..."
    
    show alfred annoyed at left
    
    al "In this world you'll see what you want to see. If a dog came here 
     it'd see something much different."
    
    "He's annoyed and says that as if it's common logic for me to know."
    
    an "Oh..."
    
    show annabeth neutral at right
    
    "It gets quiet. I don't know what to say."
    "I suppose it makes sense in a way."
    "But I just can't seem to wrap my mind around it."
    "Not only is the monster under my bed a human..."
    "He's super hot too!"
    
    al "How annoying is this..."
    
    "My thoughts break when he speaks again."
    
    an "What do you mean?"
    al "This is a world where if you enter, you can't go back unless you 
     have the abilities of what you call a monster."
    al "So you're as good as stuck here."
    
    show annabeth shocked at right
    
    "Wait... what!?!"
    
    an "What! Then... then why did you tell me to come?!?"
    
    show alfred angry at left
    
    al "How idiotic can you be?! I told you I didn't tell you to come here!"
    
    "His expression changes quickly and his tone rises."
    
    an "But I... but I have to get back before Mom comes home... I..."
    al "Well you shouldn't have come in the first place then, huh?"
    al "It's your own stupid fault."
    
    show annabeth sad at right
    
    an "......"
    
    "How rude can one get..."
    
    hide alfred
    hide annabeth
    
    "All I can think about is my mom."
    "I know how she would deal without me... it wouldn't be very well..."
    "When she's around me she smiles, and laughs.. But I know that divorce 
    really hurt her. She was... in love with my father."
    "I don't even know what happened exactly.. but it doesn't matter. All 
    I know is she was really upset about whatever caused it."
    "My father tried to take me away and almost won in court... I don't know
    if he really wanted me or was trying to spite her. She had to prove she
    could take care of me."
    "She overworked herself to show the court she could make money to take care 
    of a child appropriately."
    "She had always been independent but... I think she was way too hard on 
    herself... She cared way more about me than herself. I feel like I caused 
    her so much grief."
    "She constantly worries for me and it can get annoying sometimes, but... 
    she loves me. God she loves me more than anything else in the world."
    "That's why I'm worried... if I don't come back, everything she's sacrificed 
    for me... Everything she's done to keep me happy and safe... how much would 
    that affect her?"
    "The thought of it scares me. She's taught herself to toughen up her emotions, 
    but even so.."
    
    al "I'm sorry..."
    
    "I hear him talk again and look over at him quizzically."
    
    show alfred sad at left
    
    "I think he saw my expression and felt bad for being so rough. He looks 
    guilty, and even said sorry."
    
    al "I shouldn't have been so harsh."
    
    show annabeth sad at right
    
    an "I-It's okay..."
    
    "He sighs, and looks at my face for a long time trying to figure out if 
    it really is or not."
    
    al "No it isn't.."
    al "Here... I guess I'll help you get back home but... you have to trust and 
     do everything I say."
    
    show alfred neutral at left
    
    al "Someone dangerous is also here."
    al "That's why I was so angry. I'm concerned for your well-being."
    
    "Well, he didn't seem very concerned."
    
    al "Come on."
    
    hide alfred
    hide annabeth
    
    "He turns around and starts walking. I immediately follow him, his steps are 
    big and long. I'm not short but I have to walk faster than normal to keep up."
    "He seems easily annoyed so I don't dare ask him to slow down."
    "The scenery barely changes, if at all."
    
    show annabeth concerned at right
    
    an "We're going in circles."
    
    hide annabeth
    
    "He doesn't say anything. Instead he keeps walking."
    "I start to think he's ignoring me, but when I look at his face he seems...
    dazed? Or maybe he's concentrating on something."
    "I'm not sure, but it's obvious he's not completely aware of his surroundings,
    or me at that."
    "I wonder if he even knows I'm here."
    
    menu:
     "Get his attention.":
       jump attention
     
     "Keep Following Him.":
       jump ignore
       
label attention:
    $ alfred_affection_point += 1
    
    "I stop."
    "Alfred keeps going, unaware that I wasn't following."
    "I clear my throat to make sure it can be heard, even by someone that's
    completely left this world mentally."
    
    show annabeth concerned at right
    
    an "Alfred."
    
    "He suddenly stops."
    "For a long minute he doesn't move or say anything."
    
    show alfred annoyed at left
    with dissolve
    
    al "Why'd you stop?"
    
    "He's annoyed again. I don't understand why though, all I did was say his name."
    
    show annabeth sad at right
    
    an "I-I just..."
    
    "I don't know why I suddenly felt intimidated."
    
    an "We're... we're going in circles."
    
    show alfred neutral at left
    
    al "We aren't. This forest is meant to make people get lost in, so it all 
     looks the same to you. I know what I'm doing, trust me."
    an "A-Ahh..."
    al "But you... you WERE going in circles earlier."
    an "Yeah... m-makes sense..."
    
    "I just feel like he's judging me, everything about me. It makes me
    very uncomfortable."
    
    al "It doesn't seem like it to you, but we're going up a mountain. At the
     top is an item that will help you get home. I had to hide it away
     for certain reasons, which makes it more difficult to achieve for
     you."
    
    show annabeth shocked at right
    
    al "It's an item from the human world. If you have it and go back to the start
     where you came from, the gate back to your world will resonate and find
     that item familiar."
    al "Since this item doesn't belong in this world, it'll automatically open.
     It's hard to explain but that's pretty much it."
    al "That item contradicts the two worlds. Anything human doesn't belong in
     here."
    al "So it's as if your world is trying to reclaim that item."
    an "And you just happened to have a human item lying around here?"
    al "You're not the first human to happen upon this place. Sometimes I take
     a few spare items that falls near me just in case this happens."
    an "Ahh..."
    
    "I pause."
    
    show annabeth neutral at right
    
    an "I guess that makes sense. So Alfred... were you mean to them as well?"
    
    show alfred sad at left
    
    al "Mean..?"
    
    "He suddenly has that saddened look on his face again, but instead of
    feeling guilty he seems genuinely hurt."
    "Did I somehow offend him? Did he seriously not realize he was being such
    an ass?"
    
    an "Yeah, like trying to shove them back out of this world."
    al "......"
    
    show alfred concerned at left
    
    al "They just don't belong in this world. That's all."
    
    hide alfred
    
    "And with that he turns his back and continues to walk again."
    
    hide annabeth
    
    "I casually follow behind him. It's easier because he seems to have
    slowed down. Was it for me?"
    "Eventually we reach what I think is our destination."
    
    scene bg stairs
    stop music
    play music "FloatingCities.ogg"
    
    "It's a long stairway on a hill. It seems to be part of the forest. At the 
    top I see a torii which is like a Japanese gate, mostly seen at shrines. I 
    know this because I've read some manga."
    "I can't tell if there's a shrine or building up there, but it looks like a 
    long climb. It'll be especially frustrating since I'm not very fit or used 
    to doing this kind of stuff anymore."
    "Alfred continues going up the stairs with ease. I try to follow but my 
    breath is taken easily. I'm not fat but I'm not fit, exercising sadly isn't
    one of my hobbies."
    "I'm starting to regret that now."
    "By the time I'm halfway up he's almost at the top. I think he's zoned out again, 
    because he doesn't seem to realize I'm way behind him, having trouble."
    "At this point he'll continue on without me and I'd rather not be left behind,
    knowing that supposedly there's someone else here. Someone dangerous, as Alfred
    had said."
    "Even if I asked for help, he'd probably make me do it myself anyway."
    
label ignore:
    $ boris_affection_point += 1
    
    scene bg stairs
    with fade
    play music "FloatingCities.ogg"
    
    "I decide to just say nothing. He probably knows what he's doing, and 
    he might just get angry again if I bother him."
    "We just continue on our trek, silently. It seems like we walked for hours, 
    before I realized that the surroundings have finally changed."
    "It's a long stairway on a hill. It seems to be part of the forest. At the 
    top I see a torii which is like a Japanese gate, mostly seen at shrines. I 
    know this because I've read some manga."
    "I can't tell if there's a shrine or building up there, but it looks like a 
    long climb. It'll be especially frustrating since I'm not very fit or used 
    to doing this kind of stuff anymore."
    "Alfred continues going up the stairs with ease. I try to follow but my 
    breath is taken easily. I'm not fat but I'm not fit, exercising sadly isn't
    one of my hobbies."
    "I'm starting to regret that now."
    "By the time I'm halfway up he's almost at the top. I think he's zoned out again, 
    because he doesn't seem to realize I'm way behind him, having trouble."
    "At this point he'll continue on without me and I'd rather not be left behind,
    knowing that supposedly there's someone else here. Someone dangerous, as Alfred
    had said."
    "Even if I asked for help, he'd probably make me do it myself anyway."
    
    menu:

     "Call Out to Alfred":
       jump calling
       
     "Take a Quick Breather":
       jump breather
    
label calling:
    $ alfred_affection_point += 1
    
    show annabeth shocked at right
    
    an "A-Alfred!"
    an "Alfred, hang on!"
    
    "He stops. After a minute I see him drop his head, and probably sigh. 
    He turns around and as I thought, looks pretty irritated."
    "But before he can shout an insult or lecture me, it feels like the stone steps 
    caved under me and I'm suddenly falling."
    
    show alfred shocked at left
    
    "I see the shock on his face but it's too late."
    
    hide alfred
    hide annabeth
    scene bg black
    stop music
    
    "My body falls to the ground with a loud sound."
    "I don't know where I landed or if I was okay."
    "I couldn't check to see the damage because as soon as I hit..."
    "I was out."
    "......"
    "........"
    sv "...an..eth"
    "It sounds like someone's calling for me?"
    "Did Alfred find me already?"
    
    scene bg forest
    with fade
    play music "AscendingtheVale.ogg"
    
    "I'm here again. Back at where I first started."
    "And... there's someone else looking down worriedly at me."
    "Someone I haven't seen before."
    
    show boris shocked at left
    with dissolve
    
    st "Hey! Hey! Are you okay??"
    
    "This is the voice that I heard calling out to me when I was starting to
    wake up."
    "The boy is dressed nicely, and seems genuinely worried about the unconscious
    girl he had suddenly stumbled upon."
    
    show annabeth neutral at right
    with dissolve
    
    an "Yea..."
    
    "I'm still kind of out of it, but I felt the need to let him know for the
    most part I was okay."
    "The boys expression lightens drastically."
    
    show boris happy at left
    
    st "Thank goodness! I'm so glad."
    st "I was worried something awful had happened before I could meet up with
     you."
    
    "Meet up with me? What did we have party plans?"
    
    an "I'm sorry but who are you?"
    
    show boris smiling at left
    st "Oh yeah... you don't recognize me because we haven't met before."
    al "It's Alfred."
    
    show annabeth shocked at right
    
    an "Wait... what?"
    
    "This can't be right! Dark skin, red eyes, green hair, nice attitue...
    this isn't Alfred."
    
    show annabeth concerned at right
    
    an "But... Alfred... has red hair.. and--"
    
    show boris annoyed at left
    
    "His expression changes immensely. His smile fades and he looks rather
    annoyed by the mention of the red haired Alfred I had met earlier."
    
    al "So you've already met him... of course..."
    an "What?"
    al "Listen, you mustn't trust him. He's dangerous."
    
    show boris sad at left
    
    al "He's trying to lead you into a false sense of security by pretending
     to be me."
    al "I'm sorry... it was my fault, I should have found you sooner."
    al "But he changed the domain where I got lost in."
    
    show boris annoyed at left
    
    al "Listen. Whatever he's told you, forget it all."
    an "I'm sorry but I'm so confused."
    
    show boris sad at left
    
    "He looks upset for a minute, as if trying to find a way to explain
    it in a way I could wrap my head around. Especially since who I had
    talked to earlier was completely different then this one."
    
    show boris smiling at left
    
    al "Hey, do you remember me calling you to come under here?"
    
    show annabeth shocked at right
    
    "So that was-"
    
    show boris happy at left
    
    al "Great! You do. I'm so glad."
    
    show boris concerned at left
    
    al "It's because I needed help. Boris has found his way into my domain....
     because he's fed off so much fear, he's become so powerful I can barely 
     manage to keep my very existence here."
    al "He's mad at me because I keep getting in his way of eating you. So he's
     come here to overpower me, kick me out of here and hurt you."
    
    show boris angry at left
    
    al "But I can't let that happen. Humans are beautiful, and using them to give
     you strength and then eating them... it's awful! I can't let you succumb to
     such a fate, just as Daisy did."
    
    show annabeth neutral at right
    
    an "Daisy?"
    
    "Alfred seems very determined to keep me safe from who he says is Boris. I have
    decided to just go along with it for now, until my brain can get back together
    and let me think straight on what to do exactly."
    
    show boris sad at left
    
    al "The girl that lived in your room before you came. I had to convince her to
     get her parents to move out before he could cause harm to her."
    al "She was a sweet girl, she was the first to ever communicate with me verbally
     and not fear me. But I had to send her away to protect her."
    
    show boris annoyed at left
    
    al "I guess he hasn't forgotten that."
    
    show boris sad at left
    
    al "I'm aware I've put you into danger bringing you here, and I apologize
     greatly for that."
    al "I don't blame you if you are mad at me for that."
    
    show boris concerned at left
    
    al "But because he's overpowered me so greatly, I need help."
    al "And a human can defeat them much easier than an opposing monster, especially
     since he's so much more powerful than I."
    an "Wait, really?"
    
    show boris smiling at left
    
    al "Yes. If a human is in a monsters domain, it greatly weakens the monster and 
     any monster within. After all, humans do not belong here, so they have a 
     greater affect."
    
    show boris annoyed at left
    
    al "However at this point... your presence alone isn't enough to beat him."
    al "A human presence can greatly weaken a monster in their domain. A human
     item can greatly hurt them, especially if used by a human itself."
    
    show boris neutral at left
    
    al "There's an item on top of a mountain. It's a bracelet, but I have enough 
     power in my domain that I can turn it into something that can be used as
     a weapon."
    
    show boris annoyed at left
    
    al "However, I can only do that for a limited amount of time. So you cannot
     hesitate."
    
    show boris smiling at left
    
    al "Do you understand?"
    an "......"
    
    show boris sad at left
    
    al "...you don't trust me, do you?"
    an "Well..."
    
    menu:
     "Trust Him":
       jump trust 
       
     "Don't Trust Him":
       jump distrust
       
label breather:
    $ boris_affection_point += 1 
    
    "He won't notice or get mad, so I just bend over with my hands on my 
    knees for a minute trying to regulate my breathing."
    "And then suddenly the stairs cave under me and I'm gone."
    
    scene bg black
    stop music
    
    "It was so sudden and unpredictable I had no time to do anything. No
    time to shout out to him, no time to catch myself, no time to even
    comprehend what was happening until my body hit the ground."
    "All I know is its black, and cold."
    "......"
    "........"

    sv "...an..eth"
    "It sounds like someone's calling for me?"
    "Did Alfred find me already?"
    
    scene bg forest
    with fade
    play music "AscendingtheVale.ogg"
    
    "I'm here again. Back at where I first started."
    "And... there's someone else looking down worriedly at me."
    "Someone I haven't seen before."
    
    show boris shocked at left
    with dissolve
    
    st "Hey! Hey! Are you okay??"
    
    "This is the voice that I heard calling out to me when I was starting to
    wake up."
    "The boy is dressed nicely, and seems genuinely worried about the unconscious
    girl he had suddenly stumbled upon."
    
    show annabeth neutral at right
    with dissolve
    
    an "Yea..."
    
    "I'm still kind of out of it, but I felt the need to let him know for the
    most part I was okay."
    "The boys expression lightens drastically."
    
    show boris happy at left
    
    st "Thank goodness! I'm so glad."
    st "I was worried something awful had happened before I could meet up with
     you."
    
    "Meet up with me? What did we have party plans?"
    
    an "I'm sorry but who are you?"
    
    show boris smiling at left
    st "Oh yeah... you don't recognize me because we haven't met before."
    al "It's Alfred."
    
    show annabeth shocked at right
    
    an "Wait... what?"
    
    "This can't be right! Dark skin, red eyes, green hair, nice attitue...
    this isn't Alfred."
    
    show annabeth concerned at right
    
    an "But... Alfred... has red hair.. and--"
    
    show boris annoyed at left
    
    "His expression changes immensely. His smile fades and he looks rather
    annoyed by the mention of the red haired Alfred I had met earlier."
    
    al "So you've already met him... of course..."
    an "What?"
    al "Listen, you mustn't trust him. He's dangerous."
    
    show boris sad at left
    
    al "He's trying to lead you into a false sense of security by pretending
     to be me."
    al "I'm sorry... it was my fault, I should have found you sooner."
    al "But he changed the domain where I got lost in."
    
    show boris annoyed at left
    
    al "Listen. Whatever he's told you, forget it all."
    an "I'm sorry but I'm so confused."
    
    show boris sad at left
    
    "He looks upset for a minute, as if trying to find a way to explain
    it in a way I could wrap my head around. Especially since who I had
    talked to earlier was completely different then this one."
    
    show boris smiling at left
    
    al "Hey, do you remember me calling you to come under here?"
    
    show annabeth shocked at right
    
    "So that was-"
    
    show boris happy at left
    
    al "Great! You do. I'm so glad."
    
    show boris concerned at left
    
    al "It's because I needed help. Boris has found his way into my domain....
     because he's fed off so much fear, he's become so powerful I can barely 
     manage to keep my very existence here."
    al "He's mad at me because I keep getting in his way of eating you. So he's
     come here to overpower me, kick me out of here and hurt you."
    
    show boris angry at left
    
    al "But I can't let that happen. Humans are beautiful, and using them to give
     you strength and then eating them... it's awful! I can't let you succumb to
     such a fate, just as Daisy did."
    
    show annabeth neutral at right
    
    an "Daisy?"
    
    "Alfred seems very determined to keep me safe from who he says is Boris. I have
    decided to just go along with it for now, until my brain can get back together
    and let me think straight on what to do exactly."
    
    show boris sad at left
    
    al "The girl that lived in your room before you came. I had to convince her to
     get her parents to move out before he could cause harm to her."
    al "She was a sweet girl, she was the first to ever communicate with me verbally
     and not fear me. But I had to send her away to protect her."
    
    show boris annoyed at left
    
    al "I guess he hasn't forgotten that."
    
    show boris sad at left
    
    al "I'm aware I've put you into danger bringing you here, and I apologize
     greatly for that."
    al "I don't blame you if you are mad at me for that."
    
    show boris concerned at left
    
    al "But because he's overpowered me so greatly, I need help."
    al "And a human can defeat them much easier than an opposing monster, especially
     since he's so much more powerful than I."
    an "Wait, really?"
    
    show boris smiling at left
    
    al "Yes. If a human is in a monsters domain, it greatly weakens the monster and 
     any monster within. After all, humans do not belong here, so they have a 
     greater affect."
    
    show boris annoyed at left
    
    al "However at this point... your presence alone isn't enough to beat him."
    al "A human presence can greatly weaken a monster in their domain. A human
     item can greatly hurt them, especially if used by a human itself."
    
    show boris neutral at left
    
    al "There's an item on top of a mountain. It's a bracelet, but I have enough 
     power in my domain that I can turn it into something that can be used as
     a weapon."
    
    show boris annoyed at left
    
    al "However, I can only do that for a limited amount of time. So you cannot
     hesitate."
    
    show boris smiling at left
    
    al "Do you understand?"
    an "......"
    
    show boris sad at left
    
    al "...you don't trust me, do you?"
    an "Well..."

    menu:
     "Trust Him":
       jump trust 
       
     "Don't Trust Him":
       jump distrust

label trust:
    $ boris_affection_point += 1
    
    "It makes more sense. The reason why the other 'Alfred' tried to get rid 
    of me so persistently. He was trying to lead me away so Alfred would have 
    no chance."
    "By the way he explained it, since I'm more powerful than a monster in 
    a domain, he probably couldn't eat me. So that would be why he didn't 
    just gobble me up, because he didn't have the strength the moment I arrived."
    
    show annabeth smiling2 at right
    
    an "Yeah. I do."
    
    show boris blush at left
    
    al "You do? I'm so glad."
    
    "I can tell I made him really happy. He's smiling, and even blushing a little."
    "It makes me smile as well."
    
    show boris blush2 at left
    show annabeth smiling at right
    
    al "I promise I will not let any harm come to you while you reside here."
    
    "This is the sweetest thing anybody has ever told me. It honestly reminds
    me a lot of my mother. I can't help but just nod. I barely realize he
    has his hand holding mine, as if to comfort a sad child."
    "He then takes a step back."
    
    show boris annoyed at left
    
    al "We must hurry to the top of the mountain if we're going to defeat
     him. If he finds us now, we're doomed."
    
    "He's become serious again."
    
    show boris smiling at left
    
    al "When we defeat him and the item goes back to its original state, you
     can then use it to return to your world where you belong."
    
    "I nod."
    
    hide boris
    hide annabeth
    
    "I feel at ease with Alfred. It's a nice feeling, one I haven't had in
    quite a while."
    "Surely I've made the right choice trusting him."
    "We walk, I notice he walks different than the one he calls
    Boris. His steps are shorter, as if he's making sure he doesn't
    go too fast."
    
    stop music
    play music "FloatingCities.ogg"
    scene bg stairs
    
    "We arrive here again. Boris is nowhere in sight. It makes me sort
    of anxious."
    "Halfway up I start heaving again. I really need exercise."
    "Unlike Boris, Alfred turns around almost immediately after my breathing
    starts getting heavy and shoots me a worried glance."
    
    show boris shocked at left
    
    al "Annabeth!"
    
    "He hurries down a couple steps towards me."
    
    show boris sad at left
    
    al "Annabeth, are you okay?"
    
    show annabeth sad at right
    
    an "Yeah, I just haven't gotten a lot of exercise. Sorry for slowing us
     down."
    
    show boris shocked at left
    
    al "You're not slowing us down! You should take your time."
    
    show boris sad at left
    
    al "I shouldn't have assumed it'd be easy for you. It's a long way
     up and it seems obvious you're not used to the exercise."
    
    show boris smiling at left
    
    al "Here, let me carry you. I don't want you to exhaust yourself."
    
    menu:
     
     "Accept Offer":
       jump accept
       
     "Decline Offer":
       jump decline
       
label distrust:
    $ alfred_affection_point += 1
    
    show annabeth sad at right
    
    an "I'm sorry..."
    al "No. I understand. You've known Boris since you came, right? It's only
     natural you'd believe him more than someone you just met."
    al "I won't ask you to trust me. But can I at least lead you to the human 
     item so you can get back home safely."
    al "And can you promise me when you get back, you'll leave. I don't want
     him to hurt you. Whether you believe me or not, he's dangerous."
    
    "The Alfred with red hair... or Boris, didn't seem as dangerous as he's
    making him out to be. So it's hard. He was an ass, for sure. But he still
    tried to help me, just like this Alfred here is."
    
    an "......"
    
    "He can tell I'm sceptical. He sighs and then just nods warily."
    
    al "At least think about it on our way. That's all I ask."
    
    "I nod."
    "And we walk, I notice he walks different than the one he calls
    Boris. His steps are shorter, as if he's making sure he doesn't
    go too fast."
    
    hide boris
    hide annabeth 
    scene bg stairs
    
    "We arrive here again. Boris is nowhere in sight. It makes me sort
    of anxious."
    "Halfway up I start heaving again. I really need exercise."
    "Unlike Boris, Alfred turns around almost immediately after my breathing
    starts getting heavy and shoots me a worried glance."
    
    show boris shocked at left
    
    al "Annabeth!"
    
    "He hurries down a couple steps towards me."
    
    show boris sad at left
    
    al "Annabeth, are you okay?"
    
    show annabeth sad at right
    
    an "Yeah, I just haven't gotten a lot of exercise. Sorry for slowing us
     down."
    
    show boris shocked at left
    
    al "You're not slowing us down! You should take your time."
    
    show boris sad at left
    
    al "I shouldn't have assumed it'd be easy for you. It's a long way
     up and it seems obvious you're not used to the exercise."
    
    show boris smiling at left
    
    al "Here, let me carry you. I don't want you to exhaust yourself."
    
    menu:
     
     "Accept Offer":
       jump accept
       
     "Decline Offer":
       jump decline
       
label accept:
    $ boris_affection_point += 1
    
    an "That's a lot to ask but it'd probably be easier. I don't want
     to slow us down too much."
    
    show boris concerned at left
    
    al "Please, don't say such things. You're alright."
    
    hide boris
    hide annabeth
    
    "He turns his back to me and kneels down. I climb onto his back, and
    then he stands up and starts carrying me up the stairs."
    
    al "Is this comfortable?"
    
    an "Yeah."
    
    "I think I might be blushing."
    "I haven't had a piggy back ride since my parents divorced. It's strange to
    say I enjoy it as a seventeen year old."
    
    show boris concerned
    
    al "Are you okay?"
    an "Huh?"
    al "Your heartbeat is raising. Is everything okay?"
    an "Ahhh..."
    
    "I hadn't noticed."
    "He's genuinely concerned about it, oblivious that I'm just a little
    embarrassed, and maybe even attracted to him."
    "Who knew the monster under my bed was this sweet?"
    "I'm not sure how to answer him though."
    
    menu:
     
     "This is nice.":
       jump nice
       
     "It's nothing really.":
       jump nothing
       
label decline:
    $ alfred_affection_point += 1
    
    an "No. I'm fine, I need to learn how to do things myself. Or I'll
     never grow up and learn to be independent. I appreciate the offer though."
    al "Fair enough."
    
    "Instead of forcing me or getting upset, he simply waits for me. We take two more
    breaks before we get to the top. The entire time he extremely patient, he'll
    stop when I do and make sure I'm alright. He doesn't press me, he doesn't tell me
    to keep going."
    "When we reach the top I am amazed at what had awaited us at the top."
    
    scene bg clearing
    show annabeth shocked at right
    
    "It was overgrown and it looked like parts of some kind of building remained.
    It looked like it had been abandoned, but it didn't make it any less 
    remarkable."
    "It was like something out of a fantasy book, but at the same time it was
    still realistic. It was real. It was right in front of me."
    "I see Alfred go towards the base of a giant tree growing in the middle
    of the landscape. I quickly follow him."
    "There was a hollow in the tree, with a nest inside. And inside the nest
    was a bracelet."
    "The bracelet looks like it was made me seashells."
    
    al "This was Daisy's."
    an "Huh?"
    
    show boris sad
    show annabeth shocked at right
    with dissolve
    
    "I look over at Alfred who has a sad look on his face."
    
    al "When she left she dropped this near the bed. I knew she wouldn't come
     back so I took it upon myself to keep it here. I... cared for Daisy,
     and I figured it could help someone someday."
    
    show boris blush 
    
    al "It looks like I was right."
    al "When you take this to the other side... please promise to take care of it."
    
    show annabeth neutral at right
    
    "I go to say something but then notice something... or someone."
    
    show alfred angry at left
    show annabeth shocked at right
    
    "Alfred must have seen my expression and where my gaze was directed and he
    quickly turned to look as well."
    "When he sees Boris his face quickly changes."
    
    show boris angry
    stop music
    play music "ASingularPerversion.ogg"
    
    "The entire atmosphere changes."
    
    al "D-Damn it!!"
    al "Annabeth, stay back!"
    bo "I've been looking for you, Annabeth."
    bo "What are you doing with him."
    bo "Did I not warn you to watch out for anyone else? I told you to trust
     me!!"
    al "She already knows the truth, there's no need to keep up this charade
     Boris."
    bo "......"
    bo "You're not idiotic enough to believe I'm Boris, are you?"
    bo "Out of all the stupid situations you had to get in, you had to run
     into him! Are you going to tell me you actually trust him??!"
    bo "You need to come over here with me now. Don't listen to anything that
     he's told you. He's a liar."
    al "Don't listen to him Annabeth! He's trying to trick you!"
    sb "Annabeth you need to come over here NOW!!!"
    sa "Annabeth, please stay right here. I don't want him to harm you."
    
    show annabeth sad at right
    
    "I don't know what to do."
    "I don't know who to trust."
    "They both claim to be Alfred."
    
    menu:
     
     "Hide behind Suspicious 'Alfred'?":
       jump boris
       
     "Hide behind Suspicious 'Boris'?":
       jump alfred
       
label nice:
    $ boris_affection_point += 1 
    
    an "This just feels nice."
    an "I haven't been carried since I was six... it's just comforting
     for some reason."
    an "I didn't mean to make you worry."
    
    show boris blush3
    
    "He seems taken aback for a minute. I'm wondering if I had done
    something wrong."
    "But he finally speaks again."
    
    show boris blush2
    
    al "I see. Well I'm glad I could accommodate you."
    al "I think sometimes even as an adult, it's nice to be reminded of 
     childhood memories. Especially if they were comforting."
    al "Being an adult isn't easy. And I think everyone wishes they could
     go back to being a child again sometimes, even if just for a few
     minutes. To feel the comfort and innocence they once knew."
    al "When you're an adult you're expected to take care of yourself. And it
     gets lonely sometimes."
    an "You sure know a lot about humans."
    
    show boris neutral
    
    al "Well... I was a human once too."
    an "Wait, really?"
    al "Yes. Monsters aren't just some random being that magically appear
     under your bed or in your closet that comes around just to torture
     children."
    al "It depends on how we die if we become a monster. We usually die sort
     of young though, and violently. And wherever the monsters domain is."
    
    show boris sad
    
    al "Which means I died in my bedroom."
    
    show boris neutral
    
    al "Some monsters understand the pain children go through, and remember
     what it's like to be them. So try to protect them from other monsters."
    
    show boris annoyed
    
    al "Then some monsters become so angry they take it out on children, they
     want them to know how it feels to be scared in their final hour."
    al "And even feed off their fear to grow stronger."
    
    show boris sad
    
    "He becomes silent. I can tell by the look on his face he's become really
    sad just by talking about it. He must remember how he did, that must
    be why he seems so pained. I wonder what exactly happened."
    
    an "Alfred..."
    
    "I want to comfort him but before I can say anymore he talks again."
    
    show boris annoyed
    
    al "I'm sorry. I must be upsetting you. We're almost there."
    an "No, that's not--"
    
    hide boris
    
    "But we reach the top before I can do or say anything to comfort him.
    He lets me down and I look at the landscape that lies at the top of
    the mountain."
    "It was something I hadn't expected."
    
    show bg clearing
    show annabeth shocked at right
    
    "It was overgrown and it looked like parts of some kind of building remained.
    It looked like it had been abandoned, but it didn't make it any less 
    remarkable."
    "It was like something out of a fantasy book, but at the same time it was
    still realistic. It was real. It was right in front of me."
    "I see Alfred go towards the base of a giant tree growing in the middle
    of the landscape. I quickly follow him."
    "There was a hollow in the tree, with a nest inside. And inside the nest
    was a bracelet."
    "The bracelet looks like it was made me seashells."
    
    al "This was Daisy's."
    an "Huh?"
    
    show boris sad
    show annabeth shocked at right
    with dissolve
    
    "I look over at Alfred who has a sad look on his face."
    
    al "When she left she dropped this near the bed. I knew she wouldn't come
     back so I took it upon myself to keep it here. I... cared for Daisy,
     and I figured it could help someone someday."
    
    show boris blush 
    
    al "It looks like I was right."
    al "When you take this to the other side... please promise to take care of it."
    
    show annabeth neutral at right
    
    "I go to say something but then notice something... or someone."
    
    show alfred angry at left
    show annabeth shocked at right
    
    "Alfred must have seen my expression and where my gaze was directed and he
    quickly turned to look as well."
    "When he sees Boris his face quickly changes."
    
    show boris angry
    stop music
    play music "ASingularPerversion.ogg"
    
    "The entire atmosphere changes."
    
    al "D-Damn it!!"
    al "Annabeth, stay back!"
    bo "I've been looking for you, Annabeth."
    bo "What are you doing with him."
    bo "Did I not warn you to watch out for anyone else? I told you to trust
     me!!"
    al "She already knows the truth, there's no need to keep up this charade
     Boris."
    bo "......"
    bo "You're not idiotic enough to believe I'm Boris, are you?"
    bo "Out of all the stupid situations you had to get in, you had to run
     into him! Are you going to tell me you actually trust him??!"
    bo "You need to come over here with me now. Don't listen to anything that
     he's told you. He's a liar."
    al "Don't listen to him Annabeth! He's trying to trick you!"
    sb "Annabeth you need to come over here NOW!!!"
    sa "Annabeth, please stay right here. I don't want him to harm you."
    
    show annabeth sad at right
    
    "I don't know what to do."
    "I don't know who to trust."
    "They both claim to be Alfred."
    
    menu:
     
     "Hide behind Suspicious 'Alfred'?":
       jump boris
       
     "Hide behind Suspicious 'Boris'?":
       jump alfred
       
label nothing:
    $ alfred_affection_point += 1 
    
    an "It's nothing really. I just overworked myself. I'll be fine, please
     don't worry. It's nothing serious."
    
    "Alfred doesn't say anything, he just looks at me with worry but doesn't
    press. After a minute he continues."
    "We reach the top before I know it. The landscape waiting at the top
    of the stairs was something I hadn't expected."
    
    scene bg clearing
    show bg clearing
    show annabeth shocked at right
    
    "It was overgrown and it looked like parts of some kind of building remained.
    It looked like it had been abandoned, but it didn't make it any less 
    remarkable."
    "It was like something out of a fantasy book, but at the same time it was
    still realistic. It was real. It was right in front of me."
    "I see Alfred go towards the base of a giant tree growing in the middle
    of the landscape. I quickly follow him."
    "There was a hollow in the tree, with a nest inside. And inside the nest
    was a bracelet."
    "The bracelet looks like it was made me seashells."
    
    al "This was Daisy's."
    an "Huh?"
    
    show boris sad
    show annabeth shocked at right
    with dissolve
    
    "I look over at Alfred who has a sad look on his face."
    
    al "When she left she dropped this near the bed. I knew she wouldn't come
     back so I took it upon myself to keep it here. I... cared for Daisy,
     and I figured it could help someone someday."
    
    show boris blush 
    
    al "It looks like I was right."
    al "When you take this to the other side... please promise to take care of it."
    
    show annabeth neutral at right
    
    "I go to say something but then notice something... or someone."
    
    show alfred angry at left
    show annabeth shocked at right
    
    "Alfred must have seen my expression and where my gaze was directed and he
    quickly turned to look as well."
    "When he sees Boris his face quickly changes."
    
    show boris angry
    stop music
    play music "ASingularPerversion.ogg"
    
    "The entire atmosphere changes."
    
    al "D-Damn it!!"
    al "Annabeth, stay back!"
    bo "I've been looking for you, Annabeth."
    bo "What are you doing with him."
    bo "Did I not warn you to watch out for anyone else? I told you to trust
     me!!"
    al "She already knows the truth, there's no need to keep up this charade
     Boris."
    bo "......"
    bo "You're not idiotic enough to believe I'm Boris, are you?"
    bo "Out of all the stupid situations you had to get in, you had to run
     into him! Are you going to tell me you actually trust him??!"
    bo "You need to come over here with me now. Don't listen to anything that
     he's told you. He's a liar."
    al "Don't listen to him Annabeth! He's trying to trick you!"
    sb "Annabeth you need to come over here NOW!!!"
    sa "Annabeth, please stay right here. I don't want him to harm you."
    
    show annabeth sad at right
    
    "I don't know what to do."
    "I don't know who to trust."
    "They both claim to be Alfred."
    
    menu:
     
     "Hide behind Suspicious 'Alfred'?":
       jump boris
       
     "Hide behind Suspicious 'Boris'?":
       jump alfred
       
label boris:
    $ boris_affection_point += 1
    
    show annabeth neutral at right
    
    "I decide to stand behind Alfred, my gut tells me the red haired boy
    is really Boris."
    
    show alfred sad at left
    
    "The person I suspect to be Boris looks sad for just a moment."
    
    show alfred angry at left
    
    "But he quickly recovers."
    "And as always he looks really angry."
    
    al "I can't keep him back forever. I was able to change the item into
     a weapon, I need you to use it on him."
    
    "When I look back at the seashell bracelet I now see it has been replaced
    by what looks like a gun."
    "It looks like it's made of silver, and I'm guessing it has a bullet already 
    in it."
    "Is he seriously telling me to shoot someone?"
    
    al "Hurry Annabeth! I need you to use it now!!"
    
    "I pick it up shakily."
    
    hide boris
    hide annabeth
    hide alfred
    
    "And I aim it at Boris."
    
    show alfred annoyed
    
    menu:
     
     "Shoot Boris":
       jump shoot
       
     "Shoot Boris":
       jump shoot
       
label alfred:
    $ alfred_affection_point += 1
    
    hide annabeth
    hide boris
    hide alfred
    
    "I step behind the red haired boy. I don't know why but something tells
    me I should trust him. That he's not Boris."
    "Whether I'm right or not, well I guess we'll see."
    
    show alfred smiling
    show annabeth smiling at left
    
    sb "Thank you... for trusting me, Annabeth."

    "He smiles, and seems relieved. This is the first time I've seen him smile,
    and it's one of the sweetest most beautiful ones I've seen. I can see some
    joy in his eyes."
    
    show boris concerned at right
    
    sa "So that's your choice..."
    
    show boris sad at right
    
    "He looks upset, betrayed and defeated. The look of someone who has done
    everything they can but in the end it all fails. It hurts in a way, and
    I start to have second thoughts."
    
    sa "Well then..."
    
    show alfred neutral
    
    "But then those thoughts are immediately retracted."
    
    show boris bad at right
    show annabeth shocked at left
    
    bo "I guess I'll just have to do things differently."
    
    "So... the green haired boy really is Boris."

    show alfred annoyed
    
    "Alfred is quick to reply."
    
    al "It's about time you show your true face, Boris. Your fake kind
     attitude was extremely annoying to watch."
    bo "I was hoping if I was a gentleman she'd grow to trust me, but I
     suppose I can't help the reality of things. It seems she isn't as
     idiotic as I thought."
    al "Thankfully."
    
    "I love that they're talking about how dumb or smart I am in front of me."
    
    al "What do you plan to do now? Using her as a way to defeat me is no longer
     an option."
    bo "Oh Alfred, don't you know?"
    
    hide boris
    hide alfred
    hide annabeth
    
    "Boris suddenly jumps and attacks Alfred, who barely manages to dodge."
    
    show boris crazy
    
    bo "I've always been flexible!!"
    
    hide boris
    
    "He laughs, a laugh that sends chills down my spine."
    "For someone so violent and mentally unstable he was able to fake a kind
    appearance pretty well. It's actually terrifying."
    "I watch helplessly as the two monsters go at each other. They look like
    normal human beings, but the way they attack you can tell they're something
    more than that."
    "Every attack they throw at each other is violent, and aimed to harm and
    maybe even kill the opponent."
    "From what I've gathered Boris is dangerous and has fed off of fear so much
    he's pretty powerful. It makes me worry for Alfred since being in his
    domain already makes him weaker."
    "I can tell he has to try extra hard just to dodge Boris' attacks."
    "I frantically look for something that can help in this situation."
    "And in the hollow of the tree I see a gun. It must have been the bracelet
    that he told me he would turn into a weapon to kill Alfred which at the time
    I thought was Boris."
    "I pick it up shakily."
    "I've never attacked someone let alone kill them, so the thought of actually
    shooting someone even if they're a bad person... it's terrifying."
    "I'm not even sure if I'll be able to hit him."
    "I turn and aim it in their direction, waiting for an opening from Boris
    to make sure I will definitely hit him."
    "Alfred pushes Boris off and dashes a little away from him to clear distance
    and keep him out of danger while he tries to figure out a tactic."
    "This is it! It's now or never!!"
    
    menu:
     
     "Shoot Boris":
       jump kill
       
     "Try to Negotiate with Boris":
       jump negotiate
       
label kill:
    
    "I shoot."
    "And Boris goes down like a building."
    "It was quick, once it hit he was gone."
    "Never to move again."
    "I drop the gun with shaky hands and breathe heavily."
    "Alfred quickly comes over to me."
    
    show alfred concerned
    stop music 
    
    al "Annabeth..."
    
    "It takes me a minute to bring myself back from my thoughts."
    "I slowly look up at him."
    
    al "Annabeth..."
    
    "He just says my name again."
    "Tears fill my eyes, and without thinking I jump and hug onto him."

    show alfred blush2
    play music "StagesofGrief.ogg"
    
    "I just wanted comfort, I was so scared."
    "I expected him to push me off and yell at me."
    "But instead he just lets me hug him."
    "He must know how scared I was."
    "I start to sniff, trying to keep my tears in and my nose from running."
    "But eventually the tears roll down and I start to sob loudly."
    
    show alfred blush3
    
    "I want to tell him how scared I was."
    "I want to tell him I'm sorry for causing so much trouble."
    "I want to thank him for protecting me."
    "But I can't. I'm crying too hard."
    "I don't know how long I held onto him, but eventually when I calmed down
    I let go."
    "I look at him. He looks a little uncomfortable, but at the same time he
    looks concerned."
    "I wipe the tears from my eyes and smile."
    
    an "Sorry."
    al "I-It's okay."
    
    show alfred blush
    
    al "Well... we should get you home, Annabeth."
    
    hide alfred
    
    "Alfred walks over to where I dropped the gun and picks up the bracelet.
    It must have changed back to its original form after I had killed Boris."
    "He looks at me, and I nod knowing he was asking me if I was ready."
    "We walk."
    
    scene bg stairs
    
    "We walk all the way down the stairs."
    
    scene forest
    
    "We walk back to the forest where I arrived."
    "And when he stops I assume I'm at the spot where I had teleported
    into this world."
    "He takes my hand and puts the bracelet in it."
    "And once he does I can feel a chill, and looking at my left I see empty
    darkness."
    "It must be under my bed."
    
    show alfred neutral
    
    al "Go on, I'm sure your mom is waiting for you."
    
    hide alfred
    
    "I hesitate."
    
if alfred_affection_point <= 4:
    jump alfred_ending_1

if alfred_affection_point > 4:
    jump alfred_ending_2

label alfred_ending_1:

    "Alfred looks at me expectantly."
    "But I can't just leave like this."
    
    show annabeth sad at right
    
    an "Thank you."
    
    "I say."
    "But it's only the beginning of everything I want to say."
    
    show alfred shocked at left
    
    al "Huh?"
    
    "He doesn't even know why I'm thanking him, or where it came from."
    
    an "I put you in danger by coming here. I fell for Boris' trap. I didn't
	listen you when you were trying to keep me safe."
    an "Thank you, for putting up with all of it. And still trying to get me
	home."
    
    show alfred concerned at left
    
    al "It was something I had to do."
    
    show annabeth angry at right
    
    an "No it wasn't!"
    
    "I yell this with tears in my eyes, because I know the truth."

    show alfred shocked at left
    
    "Alfred didn't expect my sudden outburst and becomes shocked."
    
    an "You could have just left me to die. You could have just let
	him eat me. You knew it was part of his trap to follow him, yet
	you still came. You put yourself in the face of danger just
	for me."
    an "That wasn't something you HAD to do."
    al "......"
    
    show annabeth concerned at right
    
    an "Look, I didn't come under the bed just because I thought you..
	Alfred told me too."
    an "It wasn't something I felt like I had to do."
    an "I wanted to know your origins. Who you were."
    
    show annabeth sad at right
    
    an "How you came to be under the bed. Why were you so mean to me when
	I first arrived as a child."
    an "And other things."
    an "But I'm sure I don't have all that time to ask."
    an "So can you at least answer those two for me?"
    
    "Alfred waits a minute, as if contemplating if he should."
    
    show alfred sad at left
    
    "Then his expression turns sad and he sighs."
    
    al "My uh... my father killed me."
    al "And to get rid of the evidence from my mom.. he stuffed me under
	the bed."
    al "Growing up my dad was abusive. He was a rage explosive disorder, or
	whatever its called."
    al "And he always took it out on me."
    al "Mom was never home or never believed me."
    al "That's... that's how I ended up under the bed."
    al "That's... how I became a monster."
    al "Since Boris told you that it was caused by a violent death usually
	from children where ever the monster looks."
    al "So yeah... that's what happened."
    
    "Hearing his story.. God how awful. Is this why he's always so mad?
    Dying by his father's hands at a young age and so violently.. is
    he shouldering grief as well?"
    
    al "I was mean to you because I wanted you to run away."
    an "Make me run away?"
    al "Yeah... because... because you weren't Daisy."
    
    "He pauses for a moment as if having to to collect himself in order not
    to cry."
    
    al "Boris tried to hurt her and her parents moved."
    al "Whatever bullshit story Boris told you, well. It probably wasn't true."
    al "Daisy and I, well we actually conversed. She was never scared of me."
    al "And as a monster... well, that was something that made me happy."
    al "Boris didn't like that she didn't give off fear for him to feed
	off of though."
    al "So he purposely harmed her so that her parents would take her away."
    al "And when you moved in I.. I was upset it wasn't Daisy."
    al "I thought maybe if I was mean to you and scared you enough to
	move away, maybe she'd come back."
    al "It was idiotic, childish thinking."
    an "...I see."
    an "..I'm sorry. About Daisy."
    al "It's alright. I'm over it. And that was a really long time ago."
    al "Daisy's all grown up now, and.. well, I'm never going to see her
	again."
    
    "I don't know what to say."
    
    show alfred concerned
    
    al "You have to go."
    an "Yeah..."
    
    "I look out at the random darkness in front of me that will lead me
    back to my bedroom, back to my mother."
    
    al "No reason to be afraid."
    an "It's not... It's not that."
    al "Then what is it?"
    
    "I take a deep breath and hug him again."
    
    hide alfred
    hide annabeth
    
    an "I'm going to miss you so much."
    an "Even though I caused you so much trouble..."
    an "Even though I don't belong here..."
    an "Being able to converse with you, and be with you for a while..."
    an "Well, it's the closest I've ever been to having an actual friend..."
    an "I'm just going to miss you, because I might not ever see you again."
    an "Because I as a human don't belong here."
    an "And because I can't just leave my mom."
    an "I want to thank you, again. For everything."
    an "And if you want, we can talk everyday in my room."
    an "I'll continue to give you apples, and I'll even write stories for you."
    an "I'll do all of that, if you let me."
    an "I know I'm not Daisy."
    an "I know I can never be Daisy."
    an "But I at least want to be your friend."
    an "Even if you are a monster under my bed."
    an "So please... can we? Can we be friends?"
    
    "Alfred is so taken aback he doesn't even reply."
    "He pats my shoulder and shakes slightly, trying not to cry himself."
    "He refuses to say anything or else he might shed tears, and I take him
    patting me on my shoulder as an answer."
    "As a yes."
    "And then I turn."
    "I look back at him one final time before I go into the darkness."
    
    show alfred smiling
    
    "And he's smiling."
    "He's smiling because he knows I'm safe."
    "And because I'm sure it's nice to have a friend again."
    "Things can't be perfect, because things between us are so different."
    "But for now, we're both smiling."
    
    hide alfred
    stop music
    scene bg bedroom
    play music "Daybreak.ogg"
    
    "I'm back home. It's hard to believe everything I just went through actually
    happened."
    "But it did. And it's something I will never forget."
    "I look at my watch which is working again, and it seems time passes a lot
    faster under the bed. I went under at about eight pm, and it's just now turning
    eleven. Either that or it really wasn't as long as it seemed."
    "I hear the front door open, and footsteps not long after that."
    "The footsteps stop at my door and I hear a quick sigh before mom opens the door
    and enters."
    
    show mary-anne neutral at left
    
    ma "I thought I told you not to go to bed late."
    
    show annabeth happy at right
    
    an "Uhhh, I got.. I got caught up in drawing. I didn't realize the time.
	 Sorry mom."
    
    "Mom just looks at me for a good minute, and then she smiles."
    
    show mary-anne smiling at left
    
    ma "Now tell me Annabeth, what has you all happy huh?"
    an "What?"
    ma "That big smile on your face. Haven't seen you look that happy in a while."
    an "W-Well..."
    an "I'm just.. really glad to see you."
    
    show mary-anne happy at left
    
    ma "I was only gone for three hours Annabeth."
    an "I know its just..."
    an "I want to talk about some things."
    an "They're important."
    
    "Mom sits down on the bed and I sit next to her."
    "I take a deep breath."
    
    show annabeth sad at right
    
    an "Well... um."
    an "I'm actually not very happy with you seeing other men."
    an "It's not that I don't want you to, really."
    an "It's just that I'm scared of the outcome."    
    
    show mary-anne sad at left
    
    an "What if I get attached to whoever you decide to marry or whatever..."
    an "A-And then they decide they want to leave too."
    an "It just... the thought scares me."
    an "When dad left it felt absolutely awful."
    an "Even though it was so long ago I remember how sad I felt."
    an "It's a fear of what could happen."
    an "I thought maybe.. maybe I should talk to you."
    an "I don't want to have any regrets if you decide to be with another man."
    
    "My mother doesn't say anything for a really long time."
    "I'm worried that maybe I said or did the wrong thing."

    show mary-anne smiling at left
    
    "But eventually he smiles again."

    ma "I figured that would be a problem."
    an "Wait, what?"
    ma "You're not the only one who has people figured out, Annabeth."
    ma "That's why I'm being so picky and going on so many dates."
    ma "I want to make sure he's faithful, that he's really dedicated."
    ma "That he really wants to live his life with me, and you."
    ma "Every time I talk about you to Lucas, you know what he does?"
    ma "He smiles and says I must be so proud to have such a sweet kid."
    ma "And then he starts asking all kinds of questions about the both of us."
    ma "About our family life, about our similarities."
    ma "Yesterday, he asked me what things you liked."
    ma "And this is what he told me to bring to you today."
    
    show annabeth shocked at right
    
    "Mom takes out a seashell bracelet that looks awfully familiar."
    
    ma "He told me this was a matching bracelet to the one his sister has, and
	he thought maybe you might like it."
    ma "He said he'd never give it to anyone unless he really cared about
	them or thought they were special."
    ma "I thought it was very sweet."
    
    "I take it into my hands and just stare at it."
    "This couldn't be.."
    
    ma "I think you and Lucas will get along if you ever meet."
    ma "Apparently his father abandoned his family as well."
    ma "He promised me that if I ever give him a real chance, he would want
	to take you everywhere."
    ma "He wanted to watch TV shows with you and take you to the zoo, and
	he wants to see all of your drawings."
    ma "He also told me that he and his sister had a monster under their bed
	and in their closet."
    
    show mary-anne smiling2 at left
    
    ma "Isn't that funny?"
    
    show annabeth smiling at right
    
    an "Yeah... it is."
    
    "I look up with a big smile planted on my face."
    
    an "Hey, mom."
    an "I think I want to meet Lucas soon."
    an "I... I want to give him a chance."
    
    stop music
    hide annabeth
    hide mary-anne
    scene bg black
    
    "ALFRED ENDING 1: FRIEND AND FATHER"
    
    scene bg author
    show annabeth smiling
    play music "TelleroftheTales.ogg"
    
    mu "Hi! This is a small little scene.. I guess in RPG Maker it'd be like
     an extra room or something, but it's more of just a little thing I
     made to speak to you about the game as the author."
    mu "Congratulations on finishing the game! I'm not sure if this
	is your first time or not, but anyway congratz! *sets off 
	fireworks*"
    mu "It looks like you got Alfred's first ending! In my opinion this
	would be the happiest ending, despite it being the easiest to
	get with Alfred."
    
    show annabeth shocked
    
    mu "Ending 2 of Alfred's is mostly uhh.. romancing him, I suppose?"
    
    show annabeth happy
    
    mu "Anyways! Looks like you didn't trust Boris, or this may not
	be your first ending?"
    mu "Either way! Good job, I think everyone SHOULD see this ending.
	Though I'd also recommend seeing all of them because they all
	have different information that explains the entire story more."
    mu "As you can see I have a mystically background with this little
	author's note. Doesn't it look pretty? It's not anywhere
	specifically in the game, I just liked the way it looks so
	boop here it is."
    mu "In Boris' ending the music that plays in the author's note is
	a track that I would call his ending theme."
    mu "Alfred doesn't really have one, I just really liked this
	theme and even though it didn't fit the game I just squeezed
	it right here in this part."
    mu "Gives me that Zelda kind of feel, it's really catchy."
    mu "Since I forgot to make a portrait that represented myself as
	the author I decided to just use Annabeth's like an original
	piece of garbage."
    mu "I hope you enjoyed the game and this ending!"
    mu "If this isn't your first ending you already know but just
	in case!"
    mu "There are four endings (five technically, if you choose
	to negotiate with Boris) and the way to get them is based
	on choices."
    
    show annabeth smiling
    
    mu "When I told you that every choice matters, I didn't lie."
    mu "There's an affection point system where one choice will
	give an affection point to Alfred and the other to Boris."
    mu "Once you choose to hide behind you are automatically
	going to get that persons ending."
    mu "But depending on the affection points depends on if you get
	ending one or two of that character."
    mu "Having four or less affection points will get you the normal
	ending, or ending one with that character. If you have more
	than four, you'll get the secret or uh, second ending for them."
    mu "There are six choices in all, technically seven I guess if you
	let Boris give you a piggy back ride at the stairs."
    mu "I'm not going to say which choices give points to who because
	I don't think its hard to figure out."
    mu "I gave a hint at the beginning of which monster boy was Boris.
	Did any of you catch it?"
    mu "I said that the monster in the closet had red eyes, and which
	character under the bed has red eyes?"
    
    show annabeth smiling2
    
    mu "Haha, well anyways. I hope the game was interesting."
    
    show annabeth happy
    
    mu "Shoutout to Kloe for making my portraits transparent and fixing
        grammar mistakes saving me hours of work and Delsin for helping 
        me with any problems I had with Renpy."
    mu "Also give a round of applause for JosephSeraph who edited
        Alfred's murdered portrait."
    mu "But an EXTRA shout-out and round of applause to Kanatakkun
	who I keep pronouncing the username as Katakana!!"
    mu "This game was made for them!! It was for the Secret Santa
	event!!"
    
    show annabeth smiling
    
    mu "I saw we had similar tastes to the genres of games we liked.
	It looked like we both liked dark stuff, though I think
	Kanatakkun likes more subtle darkness.. umm."
    mu "I'm not artistically talented and I've never been able to
	successfully make a lets play, the only game I had played
	of theirs I didn't remember enough to make a review and I
	wanted to do something more."
    mu "Something I put my heart into and worked hard on just for
	them."
    
    show annabeth sad
    
    mu "I'm actually super worried Kanatakkun won't like the game.
	I almost decided to try and do something else several times
	but I had high hopes that this was something they might enjoy??"
    mu "Gosh I hope so..."
    
    show annabeth happy
    
    mu "You should go check out Kanatakkun's games actually, because
	what I've seen and played they're really good!"
    
    show annabeth smiling2
    
    mu "Well, Merry Christmas Kanatakkun! I hope you liked this game
	I made for you!"
    mu "I'm going to release it to the public after you've played
	it, since you deserve to be the first as it's your present."
    
    show annabeth sad
    
    mu "I'm super sorry if you didn't enjoy it ;-; or you were wanting
	something else."
    
    show annabeth smiling
    
    mu "All the credits are listed in a notepad in the folder of the
	game because I was too lazy to put them in credits that
	scrolled down the screen, blah."
    
    show annabeth smiling2
    
    mu "I'm going to let you go now, I hope you enjoyed the game!!"
    
    return
    
label alfred_ending_2:
    
    "Alfred looks at me expectantly."
    "But I can't just leave like this."
    
    show annabeth sad at right
    
    an "I can't."
    
    show alfred shocked at left
    
    al "Why not? Is something wrong?"
    an "I-I just..."
    an "I don't want to go back..."
    
    show alfred sad at left
    
    al "But Annabeth, humans don't-"
    
    show annabeth angry at right
    show alfred shocked at left
    
    an "I'm aware that humans don't belong here!"
    an "But I don't care!"
    
    show annabeth sad at right
    
    an "I... I wanna stay. And be here with you."
    an "In the short time I was here when I wasn't on the verge of being
	killed..."
    an "I grew to really, really love this place."
    an "I... I grew to really, really love you."
    
    show alfred blush2 at left
    
    an "I wanted to go back at first."
    an "But then..."
    an "Then things changed..."
    
    show alfred blush at left
    
    al "What about your mom?"
    
    "I pause."
    
    an "She'll be fine without me."
    an "She has Lucas, and I think she'd understand if she knew the
	reason why I did this."

    show annabeth smiling at right
    
    an "She was always a romantic person."
    an "So I think she'd get it."
    
    show alfred blush3 at left
    
    al "But... Annabeth."
    al "Have you noticed there's no humans around here?"
    al "You're not the first human to come under the bed."
    al "And not all of them have managed to escape."
    al "This is a place where humans don't belong."
    al "Those children... those humans, that didn't belong and got 
	trapped down here."
    al "They... they died."
    al "Eventually, their body... it just shuts down."
    al "That's why... I always wanted to get them back."
    al "They have their whole life ahead of them."
    al "And you do too."
    
    show annabeth angry at right
    
    an "But I want it to be with you!"
    an "I know it's stupid! You're a monster under the bed and I'm
	a girl who lives in the bedroom. We're not even the same
	species, but I can't help these feelings."
    an "Even if we can't be together forever, even if I refuse to
	go home and it means I never have a chance again, even though
	I might never see my mother again and even if I die in the end..."
    
    show annabeth sad at right
    
    an "This is something I want to do."
    an "Being here has made me the happiest I've ever been."
    an "Being with you has made me the happiest I've ever been."
    an "We might not have forever to be together."
    an "But the time we do have together, the time I have the chance
	to be with you... I want to cherish."
    
    show annabeth annoyed at right
    
    an "Alfred, I refuse to go."
    an "Call me stupid and get mad all you want but I'm staying
	here with you."
    
    "Alfred just stares at me for a long time."
    "And then he sighs."
    
    al "I can tell you won't leave no matter what I do or say."
    al "I'm... not happy with your decision. I'm not happy that you're
	throwing everything away for me. But.. I accept."
    al "We can spend every minute together, we can be happy together..
	or whatever, just like you said."
    al "But just promise me by the end when your body shuts down, you
	won't regret it."
    an "I promise."
    al "Alright..."
    
    "Alfred takes the bracelet from my hand carefully."
    
    hide alfred
    hide annabeth
    
    al "I better put this back, in case someone else will need it."
    
    "Before he can turn away I step forward and plant my lips onto
    his."
    "He looks surprised, but he doesn't move away."
    "When I move back he just smiles at me, chuckles a little and walks away."
    
    stop music
    scene bg black
    
    "I think I'll be okay with this."
    "My body will shut down and I'll die in this world."
    "But I'll be able to be with Alfred."
    "And that alone makes me happy."
    
    scene bg bedroom
    with fade
    show mary-anne sad
    
    ma "Annabeth?"
    
    scene bg black
    
    "ALFRED ENDING 2: EVERY MINUTE"
    
    scene bg author
    show annabeth smiling
    play music "TelleroftheTales.ogg"
    
    mu "Hi! This is a small little scene.. I guess in RPG Maker it'd be like
        an extra room or something, but it's more of just a little thing I
        made to speak to you about the game as the author."
    mu "Congratulations on finishing the game! I'm not sure if this
	is your first time or not, but anyway congratz! *sets the game
	on fire and screams into the void*"
    mu "It looks like you got Alfred's second ending! It's like a romance
	Alfred ending but it's still not exactly what you'd call happy.
	In all I think both Alfred's endings are bitter-sweet, but I
	prefer the first ending myself."
    mu "I'm sure you saw Mary-Anne at the very end trying to guilt trip
	you for not getting her daughter home safe :p lol I'm
	kidding. I was just showing that even if this ending made
	Annabeth happy, it surely didn't make Mary-Anne happy."
    
    show annabeth happy
    
    mu "So I'm guessing you either didn't trust Boris or this
	isn't your first ending, huh?"
    mu "Wasn't his kind attitude and how I mentioned that the closet
	monster had red eyes suspicious? Haha."
    mu "For an antagonist, I think I expressed and created him very
	well."
    mu "I recommend getting every ending because it all shows something
	different that is important to the story. So it'll give you
	the full effect."
    mu "I'm in a mystical forest place. This background is not in
	the game I just wanted to look cool at the end."
    mu "And because I forgot to make a portrait of a character that
	represented me I'm being lame and using Annabeth's instead."
    mu "The music track going on I just found on the site I was
	getting music in and even though it didn't fit into the
	story or scenes I found a way to implement it in."
    
    show annabeth smiling
    
    mu "Quick shout to Kloe for making my portraits transparent and fixing
        grammar issues which was so helpful. Also to Delsin because she 
        helped me solve any issues that I had with Renpy! Yayyy."
    mu "JosephSeraph also deserves some credit for editing Alfred's 
        shocked photo into his murdered one."
    
    show annabeth smiling2
    
    mu "But seriously, Merry Christmas Kanatakkun! *cheers in the 
	background*"
    mu "I made this for Kanatakkun specifically, it was for the Secret
	Santa event!"
    
    show annabeth happy
    
    mu "We had similar tastes in games and because I wasn't artistically
	talented, and I'd never successfully made a LetsPlay, and I didn't
	think I should make a review for a game (or just wanted to make
	something big and impressive) so I made this!"
    mu "As you can see I released it out to the public after they
	played this. Yayyyy."
    mu "But this was made for them! Not you. Though I'm glad other
	people can enjoy it."
    
    show annabeth sad
    
    mu "I've constantly been stressing that Kanatakkun would not like
	this as a gift, but decided to go with it. Because I put a
	lot of dedication, work and thought into I thought well.
	Maybe they'll like it."
    
    show annabeth smiling
    
    mu "So Kanatakkun I really, REALLY hope you like this game!!"

    show annabeth sad

    mu "And I'm so sorry if you don't..."
    
    show annabeth happy
    
    mu "All the credits are in a notepad in the game folder because
	I was too lazy to put them in a scrolling scene text blah
	blah."
    mu "I really hoped all who played this enjoyed this game, especially
	Kanatakkun. And I'll be going now!"
    
    return
    
label negotiate:
    
    "Maybe if I talk to Boris I can convince him not to do this."
    "After all, he was human once too."
    "He might be scared, or want others to understand how he felt when
    he died."
    "He said it was a violent death, for all I know it could have been
    murder."
    "I want to help Boris, despite all that's happened."
    "I run towards him, and when I'm about six feet away I call his name."
    
    show annabeth shocked at right
    
    an "Boris!!"
    
    show boris bad
    
    "Boris just looks at me with the same crazed face as before."
    
    show alfred annoyed at left
    
    al "Get back Annabeth, what are you doing??!"
    
    "And of course Alfred is annoyed with my actions."
    "But this is something I have to do."
    "I want to understand."
    
    show annabeth sad at right
    
    an "Boris..."
    an "You told me you were once human."
    an "And that monsters become... well monsters if they die a violent
     or terrible death, where there domain resides."
    an "I don't know if you were murdered, or if you killed yourself.. or
     what happened."
    
    show boris sad
    
    "His expression slowly changes."
    
    an "But.. I want to know!"
    an "Did something awful happen to you, and that's why you're so violent
     to the people that live in the place you once called home?"
    an "Are you angry, or upset? Are you mad at the world and want others
     to suffer, or maybe understand?"
    an "Please tell me, Boris. I want to know, I want to help."
    an "I don't believe you're as awful as you make yourself seem."
    
    show alfred sad at left
    
    an "We all originate as a human, monsters don't just suddenly appear. That's
     what you said."
    an "So then why?"
    
    "Alfred nor Boris say anything for a minute. Boris seems to be contemplating
    on what to say, or maybe reliving his past. They both do."
    "Their sad expressions, do they just want to be understood? Is that why
    Boris has lashed out and become aggressive?"
    
    bo "Annabeth..."
    
    "Boris says my name sadly and quietly."
    "He slowly goes towards me, Alfred must see he doesn't seem aggressive
    because he just watches."
    "When he's right in front of me where I could reach out and touch him,
    he stops. He looks at me with sad eyes."
    "He just stands there for a long time, and I take it as an indication
    to reach out."
    "I steadily reach my hand out to cup his face."
    "But before I can do so..."
    
    show boris crazy
    
    "His expression changes."
    
    show annabeth shocked at right
    show alfred shocked at left
    
    "And there's no time for me or Alfred to respond."
    
    hide annabeth
    
    "I feel an overwhelming pain in my chest, and feel my body fall to
    the ground."
    
    hide boris
    hide alfred
    
    "I hear screams that I assume to be Alfred's, and laughing that must
    be Boris. But I can't make it out."
    "My surroundings become blurry, I don't know what's happening around me
    but I do know one thing."
    "I'm going to die here."
    "I'm going to die here and my mom will never know what happened."
    "All because I wanted to meet the monster under my bed."
    "I really am an idiot."
    
    show black screen
    
    "Game Over: DEATH ENDING"
    
    mu "You had one job."
    
    return
    
label shoot:
    
    "And I shoot."
    "The shot rings out as if it truly was a gun, and not a bracelet that
    had been transformed into one."
    
    show alfred betrayal
    
    "His face is full of shock and betrayal as soon as the bullet hits him.
    Blood slowly runs from his mouth, his legs shake as he tries to keep 
    balanced, and eventually..."
    
    hide alfred
    
    "He falls."
    "I drop the gun and breathe heavily. I... I just shot somebody."
    
    an "Alfred, I-I did it.."
    
    "I say this shakily."
    "I ...I killed Boris."
    "I turn to him."
    
    show boris grinning at left
    
    "And I see a smile I've never seen on Alfred's face before."
    "It's... unnerving. It sends chills down my spine."
    "Something's wrong."
    
    al "Yes, you did. And I can't thank you enough for it."
    al "Hey, Annabeth."
    al "Thanks for trusting me, and getting rid of that loser."
    
    show boris bad at left
    
    al "Now, there's no-one that can possibly stop me."
    an "W-What.."
    al "You still haven't figured it out?"
    al "Let me say it again."
    
    hide boris
    stop music
    play music "Mirage.ogg"
    scene bg black
    
    bo "I can't thank you enough for getting rid of Alfred."
    
    scene bg clearing
    show boris bad at left
    show annabeth scared at right
    
    "Oh no..."
    "What have I..."
    "What have I done..."
    
    bo "Not only did you fall into my trap and go under the bed and weaken
      Alfred's domain, you easily believed my kind words and even killed him
      for me!"
    bo "Thank you so much."
    
    
if boris_affection_point <= 4:
    jump boris_ending_1
     
if boris_affection_point > 4:
    jump boris_ending_2

    
label boris_ending_1:
    
    bo "Oh, don't worry."
    bo "I'm sure your mother will be alright."
    bo "After all, now you can't make her miserable."
    bo "I'm sure she won't even miss you."
    
    "I'm too scared to run. I'm too scared to argue with such a statement."
    "He's going to kill me."
    "He's going to eat me."
    "All because I made the wrong choice."
    
    show boris neutral at left
    
    bo "Annabeth."
    
    "I look at him."
    
    bo "Your fear is just tempting me more, you know?"
    bo "For several years your fear supplies me well."
    bo "But now that you're grown up it's different."
    bo "Hopefully your mother will move out, and another child will arrive."
    bo "After all, when children become adults... they're much harder to scare."
    bo "And they've already become used to the monster in the closet."
    
    "How can he say such things as if it's normal?"
    
    bo "Annabeth."
     
    "He keeps saying my name to get my attention."
    "I keep glancing away, I don't want to look at him."
    "Apparently this bothers him."
    
    bo "Annabeth."
    
    "I look at him again, with fear."
    
    show boris smiling at left
    
    bo "I apologize, but you are going to suffer a long and painful death."
    bo "After all, I gain more fear from you if I eat you alive, yes?"
    bo "The fear of death is the greatest of all."
    bo "I would know, since my father shoved me into a closet to 'punish me'
     and left me there to starve."
    bo "I'm sure right now you can't even think, because you know you can't
     do anything to avoid your fate."
    bo "It's a shame. You were a kind, faithful girl."
    bo "Having the utmost faith and trust in me."
    bo "But monsters have to eat, you know?"
    bo "I hope you don't hold it against me."
    
    "He says this as if apologizing and telling me this will make it all okay."
    "All I know is after that darkness ensued me."
    
    hide boris
    hide annabeth
    scene bg black
    
    "Nobody would ever hear from me again."
    "All because I went under the bed."
    
    stop music
    
    "BORIS ENDING 1: MONSTERS HAVE TO EAT."
    
    scene bg author
    play music "Phantasm.ogg"
    show annabeth smiling
    
    mu "Hi! This is a small little scene.. I guess in RPG Maker it'd be like
     an extra room or something, but it's more of just a little thing I
     made to speak to you about the game as the author."
    mu "So congratulations on finishing the game! I'm not sure if this
	is your first time or not, but anyway congratz! *throws confetti
	in the air*"
    
    show annabeth shocked
    
    mu "It looks like you got Boris' first ending."
    mu "I'm not sure if you got here because you decided to trust Boris
	or liked him, or if you just wanted to get all the endings."
    
    show annabeth sad
    
    mu "But anyway... pretty bad huh?"
    mu "Unless you're totally alright with getting eaten, I guess this
	isn't the best ending huh?"
    mu "I'm not sure if you've gotten Boris' second ending, but I will
	say that it's worse."
    mu "When I was creating Boris, it was hard to find him unlikeable
	because of the way he first acts. The Boris' you thought you
	knew up until the end has to be one of my favourite anime
	personalities."
    mu "So by the time I get to the end I'm like 'oh yea, that's right.
	He's going to eat me. How saddening.'"
    mu "Though I'm not sure how you felt. If you were suspicious from
	the start or liked him then felt utterly betrayed."
    mu "I'm not sure if he's exactly an easy to hate character, but
	as the antagonist he probably shouldn't be excused for the
	things he did."
    
    show annabeth smiling
    
    mu "Well, there are four endings. Five technically. I'm not sure
	which ones you have gotten, and I'm not going to say how to 
	get them. But I will give a hint."
    mu "Remember at the very beginning when I said all choices
	matter."
    
    show annabeth smiling2
    
    mu "That wasn't a lie! Some choices you get more dialogue and
	learn new things, but also depending on the choice you'll gain
	an affection point for one of the characters."
    
    show annabeth smiling
    
    mu "There are always two choices, and one choice has an affection
	point towards Boris and the other to Alfred."
    mu "If you have four or less then you'll get their first ending."
    mu "If you have more than four you'll get their second ending."
    mu "I'm sure you noticed when you decided to hide behind Boris
	it gave you the same choice twice to shoot Alfred."
    mu "I did that to try and lead you into an uneasy feeling, and to
	let you know that there's no way out of this ending now. You
	can't choose to hesitate or anything."
    mu "Whoever you choose to hide behind will lock who's ending
	you get."
    mu "So even if you have five points for Boris, if you choose to
	hide behind the real Alfred you'll get Alfred's ending.
	But since it'll obviously be less than four because you
	have five towards Boris, it'll be the first ending."
    mu "There are six choices in all, seven if you choose to accept
	Boris' piggy back ride. All of them counts towards an affection
	point for a character until after the final technical choice to
	hide behind one of them."
    mu "I'm not going to say which choices give whose affection points
	because if you pay attention I'm pretty sure it'd be kind of
	obvious, especially if you've already gotten an ending and know
	how each character will react."
    mu "I gave you a single, subtle hint on who was the real Boris at the
	very beginning of the game, did you notice that?"
    mu "I mentioned that the closet monster had red eyes, and only one
	of the two boys you meet under the bed has red eyes."
    mu "Isn't that suspicious?"
    
    show annabeth happy
    
    mu "Let me get on to more serious things."
    mu "A quick shout-out to Kloe who made the portraits transparent for me
        and helping me fix my grammar,and saved me hours of work. Delsin 
        who helped me with any problems I had with Renpy, they were a 
        huge help of getting this completed."
    mu "And JosephSeraph who edited the portrait for Alfred's death, you 
        know the one with the blood."
    mu "Also, Merry Christmas to Kanatakkun!"
    mu "I actually made this game as a gift for the Secret Santa event!"
    mu "I looked at their profile and saw that the games they had made
	were similar to my tastes."
    mu "I'm not artistically talented, I've never successfully
	completed a lets play with my crappy computer and I've only
	played one of their games and I didn't remember enough of it
	to review it. And I guess I wanted to do something a little harder."
    mu "Something that I worked really hard on. And since it was similar
	to the games I've already made, I thought why not?"
    
    show annabeth sad
    
    mu "There were several times I would stop and worry that what if Kanatakkun
	doesn't like this? What if I should have done something simpler, and
	easy? What if I was wrong about their tastes by looking at their games?"
    
    show annabeth smiling
    
    mu "But this is something I really wanted to do."
    mu "Of course they'll be the first to play this game and when you see
	this Kanatakkun, I really really hope you enjoyed the game!"
    
    show annabeth sad
    
    mu "And if you didn't I am so so sorry! T.T"
    
    show annabeth smiling
    
    mu "You should go check out Kanatakkun's games actually, because
	what I've seen and played they're really good!"
    mu "If you're wondering about the background image here uhh. I thought 
    it was pretty so I used it for this authors note. It doesn't appear 
	anywhere else in the game. But its pretty so. Here I am standing
	in a mystical overgrown forest."
    mu "I was originally going to make a portrait of a character that
	resembled me in real life, but I forgot to do that so I'm just
	using Annabeth here to express myself."
    
    show annabeth smiling2
    
    mu "It's working rather well!"
    
    show annabeth smiling
    
    mu "The music I currently have playing is what I would like to
	consider Boris' actual ending theme. I was going to play it when
	his ending scene (depending on which one you got) started but
	I didn't want to take away the current music because it gave you
	a more sense of dread, I felt."
    mu "It's also my favourite track on this game lol."
    mu "While this one seems unnerving and eerie, but at the same time
	it's kind of relaxing."
    mu "Kind of like Boris? He wasn't very relaxed at the end though >.>"
    mu "I'm not sure how people will feel about Boris. Since he's the
	antagonist and his endings were.. well, you know."
    mu "I mean he was nice enough to apologize before he ate you."
    mu "But I'm actually glad people won't know his true identity
	right away and forget he's the bad guy like I did, because
	it's much more disappointing >.> I know I made him into a
	bad character but I couldn't help liking him bllaaaah!"
    mu "Alright, I'm going to end here. I don't know which endings
	you've gotten but I would recommend trying to get them all.
	There are four (technically five, if you negotiate with	Boris) 
	and they all give information that's important to the story."
    mu "Also if you want to know I put all the credits into a notepad in
	the game folder. I got lazy and didn't want to put them at the
	end on a screen. Blagh."
    mu "I hope you enjoyed the game, and especially you Kanatakkun!!!"
    
    return
    
    
label boris_ending_2:    
    
    bo "You're worried about your mother, aren't you?"
    bo "I'm sure she'll be fine. After all she has Lucas now."
    bo "Who needs a pain in the ass to take care of."
    bo "And anyway, I think I need you more than she does."
    
    show boris blush2 at left
    
    bo "After all, you sort of grew on me."
    bo "I ended up liking you a lot more than I anticipated."
    bo "I was originally going to eat you, but it'd be quite a shame."
    bo "After how nice you were to me."
    bo "So instead, I'll just find another kid to eat."
    bo "And as for you."
    
    "He pauses and looks me up and down."
    
    show boris blush at left
    
    bo "I'll make sure to take good care of you."
    bo "So, just trust me.. alright?"
    
    hide boris
    hide annabeth
    show bg black

    
    "How can I trust you."
    "After you show me your true identity.."
    "After you trick me into killing the person that actually wanted to help.."
    "But I'm stuck under the bed. With him."
    "With no way out."
    "And that's where I'll stay."
    "For all eternity."
    
    stop music

    "BORIS ENDING 2: FOR ALL ETERNITY"
    
    scene bg author
    show annabeth smiling
    play music "Phantasm.ogg"
    
    mu "Hi! This is a small little scene.. I guess in RPG Maker it'd be like
     an extra room or something, but it's more of just a little thing I
     made to speak to you about the game as the author."
    mu "Congratulations on finishing the game! I'm not sure if this
	is your first time or not, but anyway congratz! *releases
	the hoards of balloons*"
    
    show annabeth shocked
    
    mu "So, it looks like you got the worst ending. Unless of course, you
     liked Boris."
    mu "I'm sure you noticed when you hid behind Alfred, who was actually
     Boris, when you got the chance to shoot Boris who was actually Alfred..
     it didn't give you a choice technically. They were both to shoot."
    
    show annabeth smiling
    
    mu "That was to kind of set you in an uneasy position as to 'wait why can't
     I choose not to??', I'm not sure if it worked correctly BUT."
    mu "When you choose to hide behind someone you are basically locked towards
     one of that persons endings."
    mu "So when you made the choice to hide behind Boris, there was no way out
     after that. You were pretty much screwed."
    mu "I'm not sure if you've seen Boris' first ending, so I'm not going to
     spoil it."
    mu "But there's a system based on the endings you get."
    mu "Do you remember at the very beginning I said that every choice counts?"
    mu "Every choice up until after you choose to hide behind someone gives an 
     affection point towards one of the characters. So one choice will give
     an affection point to Alfred, and the other to Boris."
    mu "If you choose Boris and have four or less affection points, you get his
     first ending."

    show annabeth shocked
    
    mu "But if you get four or more... well you get this one."
    
    show annabeth smiling
    
    mu "There are only six options that give you affection points, seven if you
     choose to accept Boris' piggy back ride. So if you're trying to get
     Alfred's second ending and you make just two choices that lean towards
     Boris, you'll immediately be thrown into the first ending."
    mu "I'm not going to say which choices give what endings, because I want
     you to experiment and figure it out and honestly if you pay
     attention its kind of obvious."
    
    show annabeth happy
    
    mu "I'm guessing you're at this ending either because you trusted or liked
	Boris or because you wanted to see all the endings, maybe."
    mu "I gave a single hit at the very beginning of the game that would
     automatically tell you who Boris actually was, I'm sure some of you
     noticed."
    mu "I mentioned that the closet monster had red eyes. And only of the
     two monster boys you meet under the bed has red eyes."
    
    show annabeth sad
    
    mu "Anyway, it was really hard for me to dislike Boris even though he's
     obviously the big bad guy. I guess it's because when you first meet
     him he seems so sweet, and as I was writing him I tended to forget like
     wow... he's going to eat you."

    show annabeth smiling
    
    mu "Enough though. What I really wanted to get to was why I made this game!"
    mu "My Secret Santa, Kanatakkun, liked similar genres of mine. I'm not artistically
        talented and I had only played one game and didn't remember it enough to
        write a review, and I've never successfully done a lets play. So.. I decided 
	to try and make a game that might appeal to them."
    
    show annabeth sad
    
    mu "I constantly had second thoughts to if they would like it or not,
	maybe I should have tried something more simple..."
    mu "It was honestly a bummer to think I would create a game for them
	and they might not even like it!"
    
    show annabeth smiling
    
    mu "But I decided to try anyway."
    mu "I'm not sure if they liked it yet, they're the first to play it (after
	my play tester because I couldn't give them this game all buggy, y'know)
	since it's their gift of course but when I release it to the public because 
	I'm actually super proud of this game, I might mention if they did or not."
    
    show annabeth smiling2
    
    mu "You should go check out Kanatakkun's games actually, because
	what I've seen and played they're really good!"
    mu "Anyways, whenever you play this Kanatakkun, I really really
	hope you enjoyed it!"
    
    show annabeth sad
    
    mu "And if not I am super super sorry..."
    
    show annabeth smiling
    
    mu "I was going to make my own portrait that resembled me as a person
	more but uh.. kind of forgot so I'm just using Annabeth to express
	myself."
    mu "About the background on this part, haha well I really liked the way
	it looked so I just used it for this."
    mu "It's not really a place you can go into the game, I literally just
	implemented it for this part. But who knows, maybe somewhere
	deeper under the bed is this place. Maybe. I don't know haha."

    show annabeth happy
    
    mu "Oh, and the music is what I would like to say is Boris' actual
	ending music. I was going to change it when the scene went
	onto his actual ending route, but I felt if I changed the
	track it was currently on it would take away the feel of fear."
    
    show annabeth smiling2
    
    mu "I want to thank Kloe for making all my portraits transparent
        and helping me fix my grammar, and Delsin for helping me 
        when I had problems using Renpy."
    mu "I also want to thank JosephSeraph for editing Alfred's murdered
	image with the blood on it."
    
    show annabeth happy
    
    mu "I hope you enjoyed the game and I thank you so much for playing
	this!"
    
    show annabeth smiling
    
    mu "I would also recommend making other choices and getting more
	if not all of the endings, because there's something in
	each ending that I feel is probably really important to the
	story of the game."

    show annabeth happy
    
    mu "Also if you want to know I put all the credits into a notepad in
	the game folder. I got lazy and didn't want to put them at the
	end on a screen. Blagh."
    mu "Well, that's that! See you later, I guess."

    return